package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import cn.com.qmth.examcloud.core.oe.admin.service.ExamStatisticService;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.statistic.ExamStatisticInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.statistic.OverviewInfo;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@Api(tags = "考试统计相关接口")
@RequestMapping("${$rmp.ctr.oe}/exam/statistic")
public class ExamStatisticController extends ControllerSupport {

    @Autowired
    private ExamStatisticService examStatisticService;

    @PostMapping("/overview")
    @ApiOperation(value = "统计概况")
    public OverviewInfo overview(@RequestParam Long examId, @RequestParam Long courseId) {
        return examStatisticService.overview(examId, courseId);
    }

    @PostMapping("/overview/for/org")
    @ApiOperation(value = "统计概况（学习中心）")
    public List<ExamStatisticInfo> overviewForOrg(@RequestParam Long examId, @RequestParam Long courseId) {
        return examStatisticService.overviewForOrg(examId, courseId);
    }

}
